.loading {
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0, 0.5);
    color: white;
    z-index: 90;

    position: absolute;
    top: 0;
    left: 0;

    display: flex;
    justify-content: center;
    align-items: center;
}